from cpl_core.logging import LoggerABC
from cpl_discord.events import OnReadyABC

from modules.permission.abc.permission_service_abc import PermissionServiceABC


class PermissionOnReadyEvent(OnReadyABC):

    def __init__(self, logger: LoggerABC, permission_service: PermissionServiceABC):
        OnReadyABC.__init__(self)
        self._logger = logger
        self._permission_service = permission_service

    async def on_ready(self):
        self._logger.debug(__name__, f'Module {type(self)} started')
        self._permission_service.on_ready()
